using System;
using System.Text;

namespace ActionGame.GameResources.Models
{
    public class EnemyDefinitionPlacement
    {
        public Int32 Key { get; set; }
        public Int32 TileX { get; set; }
        public Int32 TileY { get; set; }

        public String ToCsvString()
        {
            StringBuilder line = new StringBuilder();

            line.Append("Enemy");
            line.Append("|");
            line.Append(Key);
            line.Append("|");
            line.Append(TileX);
            line.Append('|');
            line.Append(TileY);

            return line.ToString();
        }

    }
}
